Jelajahi Sumber

DevKit updates (#3889)

Sonata CI 9 tahun lalu
induk
melakukan
ebc5bfea6f
5 mengubah file dengan 26 tambahan dan 4 penghapusan
  1. 3 0
      .travis.yml
  2. 4 0
      .travis/after_success_test.sh
  3. 4 0
      .travis/install_test.sh
  4. 1 1
      Makefile
  5. 14 3
      README.md

+ 3 - 0
.travis.yml

@@ -70,3 +70,6 @@ before_script:
   - if [ -x .travis/before_script_${TARGET}.sh ]; then .travis/before_script_${TARGET}.sh; fi;
 
 script: make $TARGET
+
+after_success:
+  - if [ -x .travis/after_success_${TARGET}.sh ]; then .travis/after_success_${TARGET}.sh; fi;

+ 4 - 0
.travis/after_success_test.sh

@@ -0,0 +1,4 @@
+#!/usr/bin/env sh
+set -ev
+
+coveralls -v

+ 4 - 0
.travis/install_test.sh

@@ -12,6 +12,10 @@ fi
 wget "https://phar.phpunit.de/${PHPUNIT_PHAR}" --output-document="${HOME}/bin/phpunit"
 chmod u+x "${HOME}/bin/phpunit"
 
+# Coveralls client install
+wget https://github.com/satooshi/php-coveralls/releases/download/v1.0.1/coveralls.phar --output-document="${HOME}/bin/coveralls"
+chmod u+x "${HOME}/bin/coveralls"
+
 # To be removed when this issue will be resolved: https://github.com/composer/composer/issues/5355
 if [ "${COMPOSER_FLAGS}" = '--prefer-lowest' ]; then
     composer update --prefer-dist --no-interaction --prefer-stable --quiet

+ 1 - 1
Makefile

@@ -8,7 +8,7 @@ all:
 	@echo "Please choose a task."
 
 test:
-	phpunit -c phpunit.xml.dist
+	phpunit -c phpunit.xml.dist --coverage-clover build/logs/clover.xml
 
 docs:
 	cd Resources/doc && sphinx-build -W -b html -d _build/doctrees . _build/html

+ 14 - 3
README.md

@@ -10,9 +10,10 @@ The missing Symfony Admin Generator
 [![Monthly Downloads](https://poser.pugx.org/sonata-project/admin-bundle/d/monthly)](https://packagist.org/packages/sonata-project/admin-bundle)
 [![Daily Downloads](https://poser.pugx.org/sonata-project/admin-bundle/d/daily)](https://packagist.org/packages/sonata-project/admin-bundle)
 
-3.x status: [![Build Status](https://travis-ci.org/sonata-project/SonataAdminBundle.svg?branch=3.x)](https://travis-ci.org/sonata-project/SonataAdminBundle)
-
-master status: [![Build Status](https://travis-ci.org/sonata-project/SonataAdminBundle.svg?branch=master)](https://travis-ci.org/sonata-project/SonataAdminBundle)
+Branch | Travis | Coveralls |
+------ | ------ | --------- |
+3.x   | [![Build Status][travis_stable_badge]][travis_stable_link]     | [![Coverage Status][coveralls_stable_badge]][coveralls_stable_link]     |
+master | [![Build Status][travis_unstable_badge]][travis_unstable_link] | [![Coverage Status][coveralls_unstable_badge]][coveralls_unstable_link] |
 
 ## Documentation
 
@@ -28,3 +29,13 @@ If you think you find a bug or you have a feature idea to propose, feel free to
 ## License
 
 This package is available under the [MIT license](LICENSE).
+
+[travis_stable_badge]: https://travis-ci.org/sonata-project/SonataAdminBundle.svg?branch=3.x
+[travis_stable_link]: https://travis-ci.org/sonata-project/SonataAdminBundle
+[travis_unstable_badge]: https://travis-ci.org/sonata-project/SonataAdminBundle.svg?branch=master
+[travis_unstable_link]: https://travis-ci.org/sonata-project/SonataAdminBundle
+
+[coveralls_stable_badge]: https://coveralls.io/repos/github/sonata-project/SonataAdminBundle/badge.svg?branch=3.x
+[coveralls_stable_link]: https://coveralls.io/github/sonata-project/SonataAdminBundle?branch=3.x
+[coveralls_unstable_badge]: https://coveralls.io/repos/github/sonata-project/SonataAdminBundle/badge.svg?branch=master
+[coveralls_unstable_link]: https://coveralls.io/github/sonata-project/SonataAdminBundle?branch=master